Subject: Re: [bug#29880] [PATCH] gnu: grep: Add PCRE support.

From: Roel Janssen <[email-masked]>
Date: Mon, 08 Jan 2018 17:28:53 +0100

Ludovic Courtès writes:

> Hi Oleg,
>
> Oleg Pykhalov <[email-masked]> skribis:
>
>> This patch allows to grep with perl regular expression.
>>
>> From db4fe96c7c6c0fcaa82e1131aba157c5d5e5f537 Mon Sep 17 00:00:00 2001
>> From: Oleg Pykhalov <[email-masked]>
>> Date: Thu, 28 Dec 2017 22:12:13 +0300
>> Subject: [PATCH] gnu: grep: Add PCRE support.
>>
>> * gnu/packages/base.scm (grep)[inputs]: New field.
>
> This would be for the next ‘core-updates’.  Did you try a full rebuild?
>
> I’m mildly wary of this change because PCRE is a non-trivial piece of
> software that increases the attack surface, and we’d end up grafting
> things potentially often.  For instance, right now I get:
>
>   $ guix lint pcre
>   gnu/packages/pcre.scm:77:2: [email-masked]: probably vulnerable to CVE-2017-11164
>
> Would it make sense to instead have a separate “grep-pcre”?
>
> What do people think?

I have been maintaining a separate package for grep with PCRE support
for the users on our cluster.  What I would like to add is that at least
Debian and RedHat enable PCRE in their grep versions.  So using Guix's
grep broke some scripts.

If compatibility with other GNU/Linux distributions counts for anything,
I'd say we should enable it.  I am in favor of enabling PCRE.

We could provide a separate version of grep without PCRE as a
grep-minimal.

Thanks for your time!

Kind regards,
Roel Janssen